Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 610227 - RHEL 6 beta 2: Weird fatal rpm error when installing a package
RHEL 6 beta 2: Weird fatal rpm error when installing a package
Status: CLOSED DUPLICATE of bug 607650
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpm (Show other bugs)
6.0
All Linux
low Severity low
: rc
: ---
Assigned To: Panu Matilainen
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 15:31 EDT by Justin Clift
Modified: 2011-03-15 09:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-02 03:17:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the local VNC session, showing the error (28.33 KB, image/png)
2010-07-01 15:31 EDT, Justin Clift
no flags Details

  None (edit)
Description Justin Clift 2010-07-01 15:31:34 EDT
Created attachment 428535 [details]
Screenshot of the local VNC session, showing the error

Description of problem:

Brand new install of RHEL 6 beta 2 x86_64 (Server) in a KVM virtual machine on F13.

When installing a package via "yum install", the installation process aborts near the end with a strange error:

  python: rpmio.c:1566: Fclose: Assertion `fd && fd->magic == 0x04463138` failed.
  Aborted
  #

Screenshot attached.


Version-Release number of selected component (if applicable):

  # rpm -qa | grep rpm
  rpm-4.8.0-8.el6.x86_64
  rpm-libs-4.8.0-8.el6.x86_64
  rpm-python-4.8.0-8.el6.x86_64
  #

How reproducible:

Wasn't able to be reproduced in the same virtual machine.  Seems like a transient error, but may be worth the rpm developers knowing can occur.


Steps to Reproduce:
1. n/a
2.
3.
  
Actual results:

Installation of acpid was abort prior to completing successfully.  Transaction was able to be completed by using yum-complete-transaction.


Expected results:

Installation of acpid to complete without issue.

Additional info:
Comment 2 RHEL Product and Program Management 2010-07-01 15:43:05 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Justin Clift 2010-07-01 21:40:03 EDT
Thinking this may have been caused by BZ# 609871:

  https://bugzilla.redhat.com/show_bug.cgi?id=609071
Comment 4 RHEL Product and Program Management 2010-07-15 10:25:30 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 5 Justin Clift 2010-08-02 03:17:22 EDT
Pretty sure this was caused by BZ #607650, so going to close it.
Comment 6 Justin Clift 2010-08-02 03:17:50 EDT

*** This bug has been marked as a duplicate of bug 607650 ***

Note You need to log in before you can comment on or make changes to this bug.